Knowledge Storage
Get Signed Download URL
Retrieve a secure, pre-signed download URL for a file in process storage.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --location 'https://api.sarasfinance.com/v1/process/knowledges/urlStorage' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data '{
"subProjectId": "93d599a6-a396-4ef6-b30e-aff95c56c523",
"processId": "ef341826-1cab-4680-aa52-efd001f9da00",
"fileId": "file_cf90172b"
}'
{
"urls": [
{
"fileId": "file_cf90172b",
"url": "https://gf-saras-storage.s3.amazonaws.com/uploads/litigation_brief.txt?AWSAccessKeyId=AKIAIOSFODNN7EXAMPLE&Expires=1442431600&Signature=vjbyPxybdZaNmGaEXAMPLE="
}
]
}
Retrieve a secure, pre-signed download URL for a file in process storage.
curl --location 'https://api.sarasfinance.com/v1/process/knowledges/urlStorage' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data '{
"subProjectId": "93d599a6-a396-4ef6-b30e-aff95c56c523",
"processId": "ef341826-1cab-4680-aa52-efd001f9da00",
"fileId": "file_cf90172b"
}'
{
"urls": [
{
"fileId": "file_cf90172b",
"url": "https://gf-saras-storage.s3.amazonaws.com/uploads/litigation_brief.txt?AWSAccessKeyId=AKIAIOSFODNN7EXAMPLE&Expires=1442431600&Signature=vjbyPxybdZaNmGaEXAMPLE="
}
]
}
curl --location 'https://api.sarasfinance.com/v1/process/knowledges/urlStorage' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data '{
"subProjectId": "93d599a6-a396-4ef6-b30e-aff95c56c523",
"processId": "ef341826-1cab-4680-aa52-efd001f9da00",
"fileId": "file_cf90172b"
}'
{
"urls": [
{
"fileId": "file_cf90172b",
"url": "https://gf-saras-storage.s3.amazonaws.com/uploads/litigation_brief.txt?AWSAccessKeyId=AKIAIOSFODNN7EXAMPLE&Expires=1442431600&Signature=vjbyPxybdZaNmGaEXAMPLE="
}
]
}
| Code | ID | Description |
|---|---|---|
ERROR_PROCESS_META_IS_MISSING_IN_REQUEST | 1200 | Metadata missing in request |
ERROR_SUBPROCESS_META_NOT_FOUND | 1202 | Sub-project metadata not found |
ERROR_FILE_ID_NOT_FOUND | 1704 | File ID does not exist |
ERROR_STORAGE_PRESIGN_FAILED | 1709 | Presigned download URL generation failed |
